Subject: [dispatch] (Fwd) New Version Notification for draft-tveretin-dispatch-remote-01.txt

From: "Anton Tveretin" <[email-masked]>
Date: Thu, 03 Sep 2015 22:33:15 +0500

Dear All,
I want to discuss new ideas. This is a new version of my draft. I will insist on it. I'm sure this is 
not the final version - references need to check. I don't know if I need comparison with RFC 
3891, or should I remove any reference to it. Some text is commented out of XML.

------- Forwarded message follows -------
From:	[email-masked]
To:	"Anton Tveretin" <[email-masked]>, "Anton Tveretin"
	<[email-masked]>
Subject:	New Version Notification for draft-tveretin-dispatch-remote-01.txt
Date sent:	Tue, 01 Sep 2015 12:33:38 -0700

A new version of I-D, draft-tveretin-dispatch-remote-01.txt
has been successfully submitted by Anton Tveretin and posted to the
IETF repository.

Name:		draft-tveretin-dispatch-remote
Revision:	01
Title:		Remote Call Control and Call Pick-up in SIP
Document date:	2015-09-01
Group:		Individual Submission
Pages:		10
URL:            https://www.ietf.org/internet-drafts/draft-tveretin-dispatch-remote-01.txt
Status:         https://datatracker.ietf.org/doc/draft-tveretin-dispatch-remote/
Htmlized:       https://tools.ietf.org/html/draft-tveretin-dispatch-remote-01
Diff:           https://www.ietf.org/rfcdiff?url2=draft-tveretin-dispatch-remote-01

Abstract:
   This memo defines a mechanism by which a SIP user agent could inspect
   calls at another user agent, and control a call, including picking up
   for itself.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

------- End of forwarded message -------

---

From: Adam Roach <[email-masked]>
Date: Thu, 3 Sep 2015 14:22:33 -0500

On 9/3/15 13:15, Paul Kyzivat wrote:
> On 9/3/15 1:33 PM, Anton Tveretin wrote:
>> Dear All,
>> I want to discuss new ideas. This is a new version of my draft. I 
>> will insist on it.
>
> Insist on what?
>
>> I'm sure this is
> I would expect to see *much* more in the Security Considerations 
> section. This functionality could be used to do lots of bad things. 
> There should be a discussion of the threats and how they can be mitigated.

The thing is, we've already gone through this exercise, including the 
security analysis to make sure it's safe to deploy. The comparison here 
isn't against just RFC 3891; it's against the entire call-control 
framework that we invested thousands of engineering hours in developing 
and publishing. Reading and really understanding the philosophy of 
RFC5850 will go a long way towards explaining how this kind of call 
control needs to work.

In my opinion, the bullet list in section 1 of RFC5850 is some of the 
most important text ever written on the topic of SIP.

/a